package com.bankaudit.rest.process.service;

import java.time.LocalDate;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.process.model.AuditSchedule;

public interface AuditReviewService {
	
	DataTableResponse getMyReviewList(int legalEntityCode,String userId, String search,Integer orderColumn,	String orderDirection, Integer page, Integer size,
			LocalDate financialYear, String auditTypeCode);

	AuditSchedule getReviewAuditByPlanIdAndAuditId(int legalEntityCode,String auditTypeCode, String planId,String auditId); 
	 
	void updateAuditReviewStatus(AuditSchedule auditSchedule);
	
	void updateAuditClosureStatus(AuditSchedule auditSchedule);
	
	DataTableResponse  getReviewObservationList(int legalEntityCode,String planId,String auditId, String search,Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	String isReviewObsPendingBfrReviewSubmit(AuditSchedule auditSchedule);
	
	String isRatingsGiven(int legalEntityCode,String auditId);
	
	void updateAuditReviewerId(AuditSchedule auditSchedule);
	
	void deleteDeskComplianceDataFromWrkTmp(int legalEntityCode,String auditTypeCode, String planId,String auditId);
}
